<ParticleLibrary Name="Weapons_Ammo_mX-Shatter_Rocket" SandboxVersion="1.0.5.42025" ParticleVersion="26">
  <Particles Name="RocketMain.Tracer">
    <Params ParticleLifeTime="3" Facing="Free" LightSource="Radius=4,Intensity=0.5" MoveRelEmitter="Yes" />
    <Childs>
      <Particles Name="Streaks">
        <Params Count="4" Continuous="true" SpawnDelay="0.04" EmitterLifeTime="0.001" PulsePeriod="0.3" ParticleLifeTime="0.3" PositionOffset="y=1.5" Facing="Free" BlendType="Additive" Texture="textures/vfx/weapons/joule consortium/laserrifle_tracer_03.tif" TextureTiling="TilesX=8,TilesY=2,AnimFramesCount=16,AnimCycle=Loop" Color="ParticleAge=(t=0.063,v=(x=0.424,y=0.227,z=0.145);t=0.996,v=(x=0.204,y=0.12,z=0.094))" DiffuseLighting="0" EmissiveLighting="10" LightSource="Radius=0.33,Intensity=0.43" Size="1.887" Aspect="0.08" Speed="1" MoveRelEmitter="Yes" InitAngles="x=-90" RandomAngles="y=360" RotationRate="z=2000" />
      </Particles>
    </Childs>
  </Particles>
  <Particles Name="RocketMain.Impact">
    <Params Count="1" BlurDistance="10" BlurTime="0.2" BlurStrength="5,Random=0.242" BrightnessStrength="3" BrightnessTime="0.5" BrightDistance="30" />
    <Childs>
      <Particles Name="Initial_Refraction">
        <Params SpawnIndirection="ParentStart" Count="1" ParticleLifeTime="0.16" Material="Materials/VFX/distortionsphereblurred" SoftParticle="true" Alpha="0.25,ParticleAge=(v=1;t=0.25,v=0.796,flags=4;t=1,flags=4)" Color="(x=0.298,y=0.79,z=0.957)" Size="10,ParticleAge=(flags=32;t=0.6,v=0.682;t=1,v=1,flags=4)" CameraMaxDistance="10" />
      </Particles>
      <Particles Name="DebrisSmall">
        <Params SpawnIndirection="ParentStart" Count="75,Random=0.339" ParticleLifeTime="0.8,Random=0.867" RandomOffset="x=0.2,y=0.2,z=0.2" OffsetRoundness="1" EmitAngle="180,Random=1" Texture="textures/vfx/debris/debris_small_2x2_a.tif" TextureTiling="TilesX=2,TilesY=2,VariantCount=4" Alpha="ParticleAge=(flags=32;t=0.086,v=1;t=1,flags=4)" Color="(x=0.035,y=0.035,z=0.035)" DiffuseBacklighting="0.211" Size="0.08,Random=0.727,ParticleAge=(v=1;t=1,flags=4)" Stretch="0.02,Random=0.799" Speed="35,Random=0.969" AirResistance="3.37" GravityScale="2" RandomAngles="y=360" RandomRotationRate="y=500" PhysicsType="SimpleCollision" CollideTerrain="true" CollideStaticObjects="true" CollideDynamicObjects="true" CollisionFraction="0.835" CollisionCutoffDistance="34.2672" Elasticity="0.01" CameraMaxDistance="10" SortOffset="1.09" />
      </Particles>
      <Particles Name="Embers">
        <Params SpawnIndirection="ParentStart" Count="41.5,Random=0.342" ParticleLifeTime="0.7,Random=0.298" RandomOffset="x=0.6,z=0.6" OffsetRoundness="1" EmitAngle="72.9,Random=0.558" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/sparks/spark_multiple1_5x2_diff.tif" TextureTiling="TilesX=5,TilesY=2,VariantCount=10" Alpha="ParticleAge=(v=1;t=0.11,v=1;t=1)" Color="(x=0.82,y=0.54,z=0.173)" DiffuseLighting="0" EmissiveLighting="5" Size="0.015,Random=0.663,ParticleAge=(v=0.48,flags=32;t=1,v=1)" Stretch="0.006" MinPixels="1" Speed="35,Random=0.901" AirResistance="2.36,Random=0.55,WindScale=0" GravityScale="3,Random=0.741" PhysicsType="SimpleCollision" CollideTerrain="true" CollideStaticObjects="true" CollideDynamicObjects="true" CollisionFraction="0.835" CollisionCutoffDistance="24.1379" Elasticity="1" CameraMaxDistance="10" SortOffset="-0.441" />
      </Particles>
      <Particles Name="impactDecal">
        <Params SpawnIndirection="ParentStart" Count="8" ParticleLifeTime="20" PositionOffset="y=0.1" RandomOffset="x=0.1,y=0.1,z=0.1" Facing="Decal" Material="Materials/VFX/Weapons/Decals/grenadeImpact" Alpha="ParticleAge=(v=1;t=1)" AlphaClip="SourceMin=(Min=1)" Size="1.484,Random=0.266" AirResistance="8.54,WindScale=0" RandomAngles="x=360,y=360" SortOffset="-1" />
      </Particles>
      <Particles Name="explode_Up">
        <Params SpawnIndirection="ParentStart" Count="8,DistanceLOD=(v=1;t=1)" MaxDistanceLOD="150" Continuous="true" EmitterLifeTime="0.01" ParticleLifeTime="3,Random=0.1" PositionOffset="y=0.15" RandomOffset="x=0.2,y=0.3,z=0.2" OffsetRoundness="1" OffsetInnerFraction="1" EmitAngle="30,Random=0.116" Curvature="0" Texture="textures/vfx/smoke/smoke_generic1_128frames_diff.tif" NormalTexture="textures/vfx/smoke/smoke_generic1_128frames_ddn.tif" TextureTiling="TilesX=12,TilesY=12,AnimFramesCount=128,AnimBlend=true" Tessellation="true" SoftParticle="true" Alpha="0.293,ParticleAge=(;t=0.106,v=1;t=0.847,v=1;t=1,flags=4)" DiffuseBacklighting="0.035" ReceiveShadows="true" SoundControlTime="EmitterExtendedLifeTime" Size="3,Random=0.15,ParticleAge=(v=0.365,flags=32;t=0.153,v=0.43;t=1,v=1)" Speed="7,Random=1" AirResistance="2,Random=0.4,RandomInterval=115,RotationalDragScale=0,WindScale=0" GravityScale="0.02" RandomAngles="y=180" RandomRotationRate="y=15" SortOffset="-100000" />
      </Particles>
      <Particles Name="Initial_Blast">
        <Params SpawnIndirection="ParentStart" Count="1" ParticleLifeTime="2" TextureTiling="TilesX=2,TilesY=2,FirstTile=3" Alpha="ParticleAge=(v=1;t=1,flags=4)" BlurDistance="1" BlurTime="0.2" BlurStrength="1" DiffuseLighting="0" Size="0,ParticleAge=(;t=0.114,v=0.5;t=1,v=1,flags=4)" MoveRelEmitter="Yes" />
        <Childs>
          <Particles Name="flare">
            <Params Count="1" ParticleLifeTime="0.5" PositionOffset="y=1" BlendType="Additive" DiffuseLighting="0.02" DiffuseBacklighting="0.023" EmissiveLighting="0.02" Flare="Damage_FX_Flares.Damage_FX_Flares_ALL.Sparks_1M_Flare" FakeLight="true" LightSource="Radius=(40,ParticleAge=(v=1;t=1)),Intensity=(100,ParticleAge=(;t=0.125,v=1;t=1,v=1)),HDRDynamic=2" Size="3.275" Aspect="Random=1" MoveRelEmitter="Yes" RandomAngles="y=360" SortOffset="-1" />
          </Particles>
          <Particles Name="Sparks">
            <Params Count="250,DistanceLOD=(v=1;t=0.5,v=1;t=1,v=0.137)" MaxDistanceLOD="500" ParticleLifeTime="Random=1" PositionOffset="y=1" RandomOffset="x=0.2,y=0.2,z=0.2" FocusAzimuth="Random=2" EmitAngle="128,Random=1" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/sparks/spark_multiple1_5x2_diff.tif" TextureTiling="TilesX=5,TilesY=2,VariantCount=10,FlipChance=0.5" SoftParticle="true" Alpha="ParticleAge=(;t=0.01;t=0.03,v=0.976;t=1,v=1)" Color="ParticleAge=(t=0.004,v=(x=1,y=1,z=1);t=0.075,v=(x=0.8,y=0.592,z=0.376);t=0.776,v=(x=0.38,y=0.16,z=0.024),flags=36;t=0.996,v=(x=0.047,y=0.01,z=0.004))" DiffuseLighting="0" EmissiveLighting="100" Size="0.2,Random=1,DistanceLOD=(v=0.16;t=1,v=1)" Aspect="0.5,Random=0.25" Stretch="0.5,Random=0.5,ParticleAge=(v=1;t=0.024)" MinPixels="1" Speed="10,Random=0.5" GravityScale="1" Turbulence3DSpeed="5,ParticleAge=(v=1,flags=32;t=0.157,v=0.227;t=1)" VisibleUnderwater="If_False" />
          </Particles>
          <Particles Name="Core">
            <Params Count="1" ParticleLifeTime="2" PositionOffset="y=0.1" TextureTiling="TilesX=2,TilesY=2,FirstTile=3" Alpha="ParticleAge=(v=1;t=1,flags=4)" DiffuseBacklighting="1" Size="0,ParticleAge=(;t=0.114,v=0.5;t=1,v=1,flags=4)" MoveRelEmitter="Yes" />
            <Childs>
              <Particles Name="100_fireballadd">
                <Params SpawnIndirection="ParentStart" Count="20,EmitterStrength=(v=0.5,flags=32;t=1,v=1,flags=4)" ParticleLifeTime="0.25,EmitterStrength=(v=1;t=1,v=0.5,flags=4)" PositionOffset="y=0.1" FocusAngle="180,Random=1" EmitAngle="180,Random=1" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/fire/fire_fromexplode9_b_diff.tif" TextureTiling="TilesX=6,TilesY=6,AnimFramesCount=36,AnimBlend=true,FlipChance=0.5" OctagonalShape="true" SoftParticle="true" Alpha="ParticleAge=(;t=0.5,v=1;t=1)" Color="(x=0.48,y=0.098,z=0.01),Random=0.25,ParticleAge=(v=(x=1,y=1,z=1);t=0.996,v=(x=0.498,y=0.255,z=0.125))" DiffuseLighting="0" EmissiveLighting="100" Size="Random=0.5,ParticleAge=(v=0.365,flags=32;t=1,v=1)" Aspect="Random=0.252" Speed="3,Random=0.5" AirResistance="10,Random=0.402" MoveRelEmitter="Yes" SortOffset="-0.887" />
              </Particles>
              <Particles Name="fill">
                <Params SpawnIndirection="ParentStart" Count="5,EmitterStrength=(v=0.5,flags=32;t=1,v=1,flags=4)" ParticleLifeTime="0.18" PositionOffset="y=0.1" FocusAngle="180,Random=1" EmitAngle="180,Random=1" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/explosions/explode_filler1.tif" SoftParticle="true" Alpha="ParticleAge=(flags=32;t=0.247,v=1;t=1,flags=4)" Color="ParticleAge=(t=0.04,v=(x=1,y=1,z=1);t=0.51,v=(x=0.686,y=0.545,z=0.28);t=0.984)" DiffuseLighting="0" EmissiveLighting="3" Size="0.6,ParticleAge=(v=0.57,flags=32;t=1,v=1)" Aspect="Random=0.376" Speed="5,Random=0.5" AirResistance="Random=0.402" MoveRelEmitter="Yes" RandomAngles="y=360" SortOffset="-0.426" SortQuality="2" />
              </Particles>
              <Particles Name="shape_jut">
                <Params SpawnIndirection="ParentStart" Count="20,EmitterStrength=(v=0.5,flags=32;t=1,v=1,flags=4)" ParticleLifeTime="0.25,Random=0.426,EmitterStrength=(v=1;t=1,v=0.5,flags=4)" PositionOffset="y=0.1" FocusAngle="180,Random=1" EmitAngle="180,Random=1" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/fire/fire_fromexplode9_b_diff.tif" TextureTiling="TilesX=6,TilesY=6,AnimFramesCount=36,AnimBlend=true,FlipChance=0.5" OctagonalShape="true" SoftParticle="true" Alpha="ParticleAge=(;t=0.5,v=1;t=1)" Color="(x=0.48,y=0.098,z=0.01),Random=0.25,ParticleAge=(v=(x=1,y=1,z=1);t=0.996,v=(x=0.498,y=0.255,z=0.125))" DiffuseLighting="0" EmissiveLighting="10" Size="0.9,Random=0.5,ParticleAge=(v=0.635,flags=32;t=1,v=1)" Aspect="Random=0.459" Speed="3,Random=0.724" AirResistance="10,Random=0.402" MoveRelEmitter="Yes" SortOffset="-0.887" />
              </Particles>
            </Childs>
          </Particles>
        </Childs>
      </Particles>
      <Particles Name="light">
        <Params SpawnIndirection="ParentStart" Count="1" ParticleLifeTime="0.2" BlendType="Additive" Color="(x=0.67,y=0.27,z=0.067)" DiffuseLighting="0" LightSource="Radius=10,Intensity=(1000,ParticleAge=(;t=0.098,v=1;t=1))" />
      </Particles>
      <Particles Name="Smoke_Ring1">
        <Params SpawnIndirection="ParentStart" Count="35,DistanceLOD=(v=1;t=1)" MaxDistanceLOD="20" Continuous="true" EmitterLifeTime="0.02" ParticleLifeTime="1.35,Random=0.18" PositionOffset="y=0.3" OffsetRoundness="1" OffsetInnerFraction="1" EmitAngle="90,Random=0.162" OrientToVelocity="true" Curvature="0" Texture="textures/vfx/smoke/smoke_generic1_128frames_diff.tif" NormalTexture="textures/vfx/smoke/smoke_generic1_128frames_ddn.tif" TextureTiling="TilesX=12,TilesY=12,AnimFramesCount=128,AnimBlend=true" Tessellation="true" SoftParticle="true" Alpha="0.293,ParticleAge=(;t=0.106,v=1;t=0.847,v=1;t=1,flags=4)" DiffuseBacklighting="0.035" ReceiveShadows="true" Size="1.218,Random=0.304,ParticleAge=(v=0.137,flags=32;t=0.1,v=0.61;t=1,v=1)" Stretch="0.12" Speed="22,Random=0.269" AirResistance="5,Random=0.192,RotationalDragScale=0.512,WindScale=0" GravityScale="Random=0.392" RandomAngles="y=180" RandomRotationRate="y=25" SortOffset="0.082" />
      </Particles>
      <Particles Name="debris_small">
        <Params SpawnIndirection="ParentStart" Count="19.1,Random=0.339,DistanceLOD=(t=0.5,v=1;t=1)" SpawnDelay="0.1" ParticleLifeTime="0.8,Random=0.867" RandomOffset="x=0.2,y=0.2,z=0.2" OffsetRoundness="1" EmitAngle="84.2,Random=1" Texture="textures/vfx/debris/debris_small_2x2_a.tif" TextureTiling="TilesX=2,TilesY=2,VariantCount=4" Alpha="ParticleAge=(flags=32;t=0.086,v=1;t=1,flags=4)" Color="(x=0.035,y=0.035,z=0.035)" DiffuseBacklighting="0.211" Size="0.08,Random=0.727,ParticleAge=(v=1;t=1,flags=4)" Stretch="0.02,Random=0.799" Speed="35,Random=0.969" AirResistance="3.37" GravityScale="2" RandomAngles="y=360" RandomRotationRate="y=500" PhysicsType="SimpleCollision" CollideTerrain="true" CollideStaticObjects="true" CollideDynamicObjects="true" CollisionFraction="0.882" CollisionCutoffDistance="24.3534" Elasticity="0.01" CameraMaxDistance="20" SortOffset="1.09" />
      </Particles>
      <Particles Name="explode_ssl">
        <Params SpawnIndirection="ParentStart" Count="1" Continuous="true" EmitterLifeTime="0.01" ParticleLifeTime="0.4,Random=0.254" OffsetRoundness="1" OffsetInnerFraction="1" EmitAngle="30,Random=1" OrientToVelocity="true" Texture="textures/vfx/smoke/smoke_generic1_128frames_diff.tif" NormalTexture="textures/vfx/smoke/smoke_generic1_128frames_ddn.tif" TextureTiling="TilesX=12,TilesY=12,AnimFramesCount=128,AnimBlend=true" Tessellation="true" SoftParticle="true" Alpha="0.293,ParticleAge=(;t=0.106,v=1;t=0.847,v=1;t=1,flags=4)" SoundControlTime="EmitterExtendedLifeTime" Size="1.1,Random=0.356,ParticleAge=(flags=32;t=0.024,v=0.61,flags=32;t=1,v=1)" Stretch="0.123,Random=0.365" Speed="2.5,Random=0.401" AirResistance="0.68,Random=0.406,RandomInterval=115,RotationalDragScale=0,WindScale=0" GravityScale="Random=0.392" RandomAngles="y=35" RandomRotationRate="y=25" SortOffset="-0.213" />
      </Particles>
    </Childs>
  </Particles>
  <Particles Name="RockectFragment.impact">
    <Params Count="1" ParticleLifeTime="3" BlurDistance="10" BlurTime="0.2" BlurStrength="5,Random=0.242" BrightnessStrength="3" BrightnessTime="0.5" BrightDistance="30" />
    <Childs>
      <Particles Name="Initial_Refraction">
        <Params Count="1" ParticleLifeTime="0.16" Material="Materials/VFX/distortionsphereblurred" SoftParticle="true" Alpha="0.25,ParticleAge=(v=1;t=0.25,v=0.796,flags=4;t=1,flags=4)" Color="(x=0.298,y=0.79,z=0.957)" Size="10,ParticleAge=(flags=32;t=0.6,v=0.682;t=1,v=1,flags=4)" CameraMaxDistance="10" />
      </Particles>
      <Particles Name="DebrisSmall">
        <Params Count="75,Random=0.339" ParticleLifeTime="0.8,Random=0.867" RandomOffset="x=0.2,y=0.2,z=0.2" OffsetRoundness="1" EmitAngle="180,Random=1" Texture="textures/vfx/debris/debris_small_2x2_a.tif" TextureTiling="TilesX=2,TilesY=2,VariantCount=4" Alpha="ParticleAge=(flags=32;t=0.086,v=1;t=1,flags=4)" Color="(x=0.035,y=0.035,z=0.035)" DiffuseBacklighting="0.211" Size="0.08,Random=0.727,ParticleAge=(v=1;t=1,flags=4)" Stretch="0.02,Random=0.799" Speed="35,Random=0.969" AirResistance="3.37" GravityScale="2" RandomAngles="y=360" RandomRotationRate="y=500" PhysicsType="SimpleCollision" CollideTerrain="true" CollideStaticObjects="true" CollideDynamicObjects="true" CollisionCutoffDistance="59.9138" Elasticity="0.01" CameraMaxDistance="10" SortOffset="1.09" />
      </Particles>
      <Particles Name="Embers">
        <Params Count="41.5,Random=0.342" ParticleLifeTime="0.7,Random=0.298" RandomOffset="x=0.6,z=0.6" OffsetRoundness="1" EmitAngle="72.9,Random=0.558" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/sparks/spark_multiple1_5x2_diff.tif" TextureTiling="TilesX=5,TilesY=2,VariantCount=10" Alpha="ParticleAge=(v=1;t=0.11,v=1;t=1)" Color="(x=0.82,y=0.54,z=0.173)" DiffuseLighting="0" EmissiveLighting="5" Size="0.015,Random=0.663,ParticleAge=(v=0.48,flags=32;t=1,v=1)" Stretch="0.006" MinPixels="1" Speed="35,Random=0.901" AirResistance="2.36,Random=0.55,WindScale=0" GravityScale="3,Random=0.741" PhysicsType="SimpleCollision" CollideTerrain="true" CollideStaticObjects="true" CollideDynamicObjects="true" CollisionFraction="0.792" CollisionCutoffDistance="57.9741" Elasticity="1" CameraMaxDistance="10" SortOffset="-0.441" />
      </Particles>
      <Particles Name="impactDecal">
        <Params Count="8" ParticleLifeTime="20" PositionOffset="y=0.1" RandomOffset="x=0.1,y=0.1,z=0.1" Facing="Decal" Material="Materials/VFX/Weapons/Decals/grenadeImpact" Alpha="ParticleAge=(v=1;t=1)" AlphaClip="SourceMin=(Min=1)" Size="1.484,Random=0.266" AirResistance="8.54,WindScale=0" RandomAngles="x=360,y=360" SortOffset="-1" />
      </Particles>
      <Particles Name="explode_Up">
        <Params Count="8,DistanceLOD=(v=1;t=1)" MaxDistanceLOD="150" Continuous="true" EmitterLifeTime="0.01" ParticleLifeTime="3,Random=0.1" PositionOffset="y=0.15" RandomOffset="x=0.2,y=0.3,z=0.2" OffsetRoundness="1" OffsetInnerFraction="1" EmitAngle="30,Random=0.116" Curvature="0" Texture="textures/vfx/smoke/smoke_generic1_128frames_diff.tif" NormalTexture="textures/vfx/smoke/smoke_generic1_128frames_ddn.tif" TextureTiling="TilesX=12,TilesY=12,AnimFramesCount=128,AnimBlend=true" Tessellation="true" SoftParticle="true" Alpha="0.293,ParticleAge=(;t=0.106,v=1;t=0.847,v=1;t=1,flags=4)" DiffuseBacklighting="0.035" ReceiveShadows="true" SoundControlTime="EmitterExtendedLifeTime" Size="3,Random=0.15,ParticleAge=(v=0.365,flags=32;t=0.153,v=0.43;t=1,v=1)" Speed="7,Random=1" AirResistance="2,Random=0.4,RandomInterval=115,RotationalDragScale=0,WindScale=0" GravityScale="0.02" RandomAngles="y=180" RandomRotationRate="y=15" SortOffset="-100000" />
      </Particles>
      <Particles Name="Initial_Blast">
        <Params Count="1" ParticleLifeTime="2" TextureTiling="TilesX=2,TilesY=2,FirstTile=3" Alpha="ParticleAge=(v=1;t=1,flags=4)" BlurDistance="1" BlurTime="0.2" BlurStrength="1" DiffuseLighting="0" Size="0,ParticleAge=(;t=0.114,v=0.5;t=1,v=1,flags=4)" MoveRelEmitter="Yes" />
        <Childs>
          <Particles Name="smoke">
            <Params Count="6,EmitterStrength=(v=0.5,flags=32;t=1,v=1,flags=4)" ParticleLifeTime="EmitterStrength=(v=1;t=1,v=0.5,flags=4)" PositionOffset="y=1" FocusAngle="180,Random=1" EmitAngle="180,Random=1" Curvature="0.031" Texture="textures/vfx/smoke/smoke_generic1_128frames_diff.tif" NormalTexture="textures/vfx/smoke/smoke_generic1_128frames_ddn.tif" TextureTiling="TilesX=12,TilesY=12,AnimFramesCount=128,AnimBlend=true" Tessellation="true" SoftParticle="true" Alpha="ParticleAge=(;t=0.106,v=1;t=0.847,v=1;t=1,flags=4)" DiffuseBacklighting="0.1" Size="3,Random=0.4,ParticleAge=(v=0.455,flags=32;t=0.25,v=0.57;t=1,v=1)" Aspect="Random=0.252" Speed="6,Random=0.5" InheritVelocity="0.5" AirResistance="10,Random=0.402" MoveRelEmitter="Yes" RandomAngles="y=180" SortOffset="1" />
          </Particles>
          <Particles Name="flare">
            <Params Count="1" ParticleLifeTime="0.5" PositionOffset="y=1" BlendType="Additive" DiffuseLighting="0.02" DiffuseBacklighting="0.023" EmissiveLighting="0.02" Flare="Damage_FX_Flares.Damage_FX_Flares_ALL.Sparks_1M_Flare" FakeLight="true" LightSource="Radius=(40,ParticleAge=(v=1;t=1)),Intensity=(100,ParticleAge=(;t=0.125,v=1;t=1,v=1)),HDRDynamic=2" Size="3.275" Aspect="Random=1" MoveRelEmitter="Yes" RandomAngles="y=360" SortOffset="-1" />
          </Particles>
          <Particles Name="Sparks">
            <Params Count="250,DistanceLOD=(v=1;t=0.5,v=1;t=1,v=0.137)" MaxDistanceLOD="500" ParticleLifeTime="Random=1" PositionOffset="y=1" RandomOffset="x=0.2,y=0.2,z=0.2" FocusAzimuth="Random=2" EmitAngle="128,Random=1" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/sparks/spark_multiple1_5x2_diff.tif" TextureTiling="TilesX=5,TilesY=2,VariantCount=10,FlipChance=0.5" SoftParticle="true" Alpha="ParticleAge=(;t=0.01;t=0.03,v=0.976;t=1,v=1)" Color="ParticleAge=(t=0.004,v=(x=1,y=1,z=1);t=0.075,v=(x=0.8,y=0.592,z=0.376);t=0.776,v=(x=0.38,y=0.16,z=0.024),flags=36;t=0.996,v=(x=0.047,y=0.01,z=0.004))" DiffuseLighting="0" EmissiveLighting="100" Size="0.2,Random=1,DistanceLOD=(v=0.16;t=1,v=1)" Aspect="0.5,Random=0.25" Stretch="0.5,Random=0.5,ParticleAge=(v=1;t=0.024)" MinPixels="1" Speed="10,Random=0.5" GravityScale="1" Turbulence3DSpeed="5,ParticleAge=(v=1,flags=32;t=0.157,v=0.227;t=1)" VisibleUnderwater="If_False" />
          </Particles>
          <Particles Name="Core">
            <Params Count="1" ParticleLifeTime="2" PositionOffset="y=0.1" TextureTiling="TilesX=2,TilesY=2,FirstTile=3" Alpha="ParticleAge=(v=1;t=1,flags=4)" DiffuseBacklighting="1" Size="0,ParticleAge=(;t=0.114,v=0.5;t=1,v=1,flags=4)" MoveRelEmitter="Yes" />
            <Childs>
              <Particles Name="100_fireballadd">
                <Params SpawnIndirection="ParentStart" Count="20,EmitterStrength=(v=0.5,flags=32;t=1,v=1,flags=4)" ParticleLifeTime="0.25,EmitterStrength=(v=1;t=1,v=0.5,flags=4)" PositionOffset="y=0.5" EmitAngle="48.8,Random=1" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/fire/fire_fromexplode9_b_diff.tif" TextureTiling="TilesX=6,TilesY=6,AnimFramesCount=36,AnimBlend=true,FlipChance=0.5" OctagonalShape="true" SoftParticle="true" Alpha="ParticleAge=(;t=0.5,v=1;t=1)" Color="(x=0.48,y=0.098,z=0.01),Random=0.25,ParticleAge=(v=(x=1,y=1,z=1);t=0.996,v=(x=0.498,y=0.255,z=0.125))" DiffuseLighting="0" EmissiveLighting="100" Size="Random=0.5,ParticleAge=(v=0.365,flags=32;t=1,v=1)" Aspect="Random=0.252" Speed="3.1,Random=0.5" AirResistance="10,Random=0.402" MoveRelEmitter="Yes" SortOffset="-0.887" />
              </Particles>
              <Particles Name="fill">
                <Params SpawnIndirection="ParentStart" Count="5,EmitterStrength=(v=0.5,flags=32;t=1,v=1,flags=4)" ParticleLifeTime="0.18" PositionOffset="y=0.25" EmitAngle="89.8,Random=1" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/explosions/explode_filler1.tif" SoftParticle="true" Alpha="ParticleAge=(flags=32;t=0.247,v=1;t=1,flags=4)" Color="ParticleAge=(t=0.04,v=(x=1,y=1,z=1);t=0.51,v=(x=0.686,y=0.545,z=0.28);t=0.984)" DiffuseLighting="0" EmissiveLighting="3" Size="0.6,ParticleAge=(v=0.57,flags=32;t=1,v=1)" Aspect="Random=0.376" Speed="5,Random=0.5" AirResistance="Random=0.402" MoveRelEmitter="Yes" RandomAngles="y=360" SortOffset="-0.426" SortQuality="2" />
              </Particles>
              <Particles Name="shape_jut">
                <Params SpawnIndirection="ParentStart" Count="20,EmitterStrength=(v=0.5,flags=32;t=1,v=1,flags=4)" ParticleLifeTime="0.25,Random=0.426,EmitterStrength=(v=1;t=1,v=0.5,flags=4)" PositionOffset="y=0.25" FocusAngle="117.9,Random=1" EmitAngle="92.3,Random=1" OrientToVelocity="true" BlendType="Additive" Texture="textures/vfx/fire/fire_fromexplode9_b_diff.tif" TextureTiling="TilesX=6,TilesY=6,AnimFramesCount=36,AnimBlend=true,FlipChance=0.5" OctagonalShape="true" SoftParticle="true" Alpha="ParticleAge=(;t=0.5,v=1;t=1)" Color="(x=0.48,y=0.098,z=0.01),Random=0.25,ParticleAge=(v=(x=1,y=1,z=1);t=0.996,v=(x=0.498,y=0.255,z=0.125))" DiffuseLighting="0" EmissiveLighting="10" Size="0.9,Random=0.5,ParticleAge=(v=0.635,flags=32;t=1,v=1)" Aspect="Random=0.459" Speed="3,Random=0.724" AirResistance="10,Random=0.402" MoveRelEmitter="Yes" SortOffset="-0.887" />
              </Particles>
            </Childs>
          </Particles>
        </Childs>
      </Particles>
      <Particles Name="light">
        <Params Count="1" ParticleLifeTime="0.2" BlendType="Additive" Color="(x=0.67,y=0.27,z=0.067)" DiffuseLighting="0" LightSource="Radius=10,Intensity=(1000,ParticleAge=(;t=0.098,v=1;t=1))" />
      </Particles>
      <Particles Name="Smoke_Ring1">
        <Params Count="35,DistanceLOD=(v=1;t=1)" MaxDistanceLOD="20" Continuous="true" EmitterLifeTime="0.02" ParticleLifeTime="1.35,Random=0.18" PositionOffset="y=0.3" OffsetRoundness="1" OffsetInnerFraction="1" EmitAngle="90,Random=0.162" OrientToVelocity="true" Curvature="0" Texture="textures/vfx/smoke/smoke_generic1_128frames_diff.tif" NormalTexture="textures/vfx/smoke/smoke_generic1_128frames_ddn.tif" TextureTiling="TilesX=12,TilesY=12,AnimFramesCount=128,AnimBlend=true" Tessellation="true" SoftParticle="true" Alpha="0.293,ParticleAge=(;t=0.106,v=1;t=0.847,v=1;t=1,flags=4)" DiffuseBacklighting="0.035" ReceiveShadows="true" Size="1.218,Random=0.304,ParticleAge=(v=0.137,flags=32;t=0.1,v=0.61;t=1,v=1)" Stretch="0.12" Speed="22,Random=0.269" AirResistance="5,Random=0.192,RotationalDragScale=0.512,WindScale=0" GravityScale="Random=0.392" RandomAngles="y=180" RandomRotationRate="y=25" SortOffset="0.082" />
      </Particles>
      <Particles Name="debris_small">
        <Params Count="19.1,Random=0.339,DistanceLOD=(t=0.5,v=1;t=1)" SpawnDelay="0.1" ParticleLifeTime="0.8,Random=0.867" RandomOffset="x=0.2,y=0.2,z=0.2" OffsetRoundness="1" EmitAngle="84.2,Random=1" Texture="textures/vfx/debris/debris_small_2x2_a.tif" TextureTiling="TilesX=2,TilesY=2,VariantCount=4" Alpha="ParticleAge=(flags=32;t=0.086,v=1;t=1,flags=4)" Color="(x=0.035,y=0.035,z=0.035)" DiffuseBacklighting="0.211" Size="0.08,Random=0.727,ParticleAge=(v=1;t=1,flags=4)" Stretch="0.02,Random=0.799" Speed="35,Random=0.969" AirResistance="3.37" GravityScale="2" RandomAngles="y=360" RandomRotationRate="y=500" PhysicsType="SimpleCollision" CollideTerrain="true" CollideStaticObjects="true" CollideDynamicObjects="true" CollisionFraction="0.792" CollisionCutoffDistance="61.2069" Elasticity="0.01" CameraMaxDistance="20" SortOffset="1.09" />
      </Particles>
    </Childs>
  </Particles>
  <Particles Name="RocketMain.trail">
    <Params Count="1" Continuous="true" EmitterLifeTime="0.5" />
    <Childs>
      <Particles Name="shellParticles">
        <Params Count="100" Continuous="true" EmitterLifeTime="5" ParticleLifeTime="2,Random=0.43" PositionOffset="y=1" BlendType="Additive" Texture="textures/vfx/smoke/smokecurl_loop.tif" TextureTiling="TilesX=8,TilesY=8,AnimFramesCount=64,AnimFramerate=20,AnimCycle=Loop,AnimBlend=true,FlipChance=0.5" SoftParticle="true" Alpha="0.446394,Random=0.222,ParticleAge=(;t=0.243,v=1;t=1)" Color="(x=0.584,y=0.553,z=0.486)" DiffuseLighting="0.827" DiffuseBacklighting="0.177" Size="0.3,Random=0.349,ParticleAge=(v=0.204,flags=32;t=1,v=1)" Speed="0.2,Random=0.057" AirResistance="0.45,RotationalDragScale=0,WindScale=0" GravityScale="-0.04,Random=1.274" Turbulence3DSpeed="0.05,Random=0.241" RandomAngles="y=360" />
      </Particles>
    </Childs>
  </Particles>
</ParticleLibrary>